Package org.apache.tapestry5.commons.internal.services

## Class AccessableObjectAnnotationProvider

- java.lang.Object
- - org.apache.tapestry5.commons.internal.services.AccessableObjectAnnotationProvider

- All Implemented Interfaces:
    `AnnotationProvider`

      public class AccessableObjectAnnotationProvider
      extends java.lang.Object
      implements AnnotationProvider

  Provides access to annotations of an accessable object such as a `Method` or `Field`.

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `AccessableObjectAnnotationProvider​(java.lang.reflect.AccessibleObject object)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `<T extends java.lang.annotation.Annotation> T` | `getAnnotation​(java.lang.Class<T> annotationClass)` | Searches for the specified annotation, returning the matching annotation instance.
    `java.lang.String` | `toString()` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### AccessableObjectAnnotationProvider

          public AccessableObjectAnnotationProvider​(java.lang.reflect.AccessibleObject object)

  - ### Method Detail

    - #### getAnnotation

          public <T extends java.lang.annotation.Annotation> T getAnnotation​(java.lang.Class<T> annotationClass)

      Description copied from interface: `AnnotationProvider`
      Searches for the specified annotation, returning the matching annotation instance.
      Specified by:
        `getAnnotation` in interface `AnnotationProvider`
      Parameters:
        `annotationClass` - used to select the annotation to return
      Returns:
        the annotation, or null if not found

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`